<?php
/**
 * $Horde: whups/reports.php,v 1.40 2007/01/02 12:49:19 jan Exp $
 *
 * Copyright 2002-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 *
 * @author Chuck Hagenbuch <chuck@horde.org>
 */

@define('WHUPS_BASE', dirname(__FILE__));
require_once WHUPS_BASE . '/lib/base.php';
require_once WHUPS_BASE . '/lib/Reports.php';

$queues = Whups::permissionsFilter($whups->getQueues(), 'queue', PERMS_READ);
if (!count($queues)) {
    $notification->push(_("No stats available."));
}

$reporter = new Whups_Reports($whups);

$title = _("Reports");
require WHUPS_TEMPLATES . '/common-header.inc';
require WHUPS_TEMPLATES . '/menu.inc';
if (count($queues)) {
    require WHUPS_TEMPLATES . '/reports/stats.inc';
}
require $registry->get('templates', 'horde') . '/common-footer.inc';
