<?php
/**
 * $Horde: whups/templates/savedqueries.inc,v 1.17 2007/01/18 02:38:01 chuck Exp $
 *
 * Copyright 2001-2006 Robert E. Coyle <robertecoyle@hotmail.com>
 * Copyright 2001-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 *
 * @author Chuck Hagenbuch <chuck@horde.org>
 * @package Whups
 */
class SavedQueries {

    function render($title, $renderer, $results)
    {
        if (!count($results)) {
            return;
        }
?>
<h1 class="header">
 <?php echo htmlspecialchars($title) ?>
</h1>
<ul class="headerbox linedRow">
<?php
        $this->results($results);
        echo '</ul>';
    }

    function results($results)
    {
        foreach ($results as $id => $name) {
            echo '<li>' . Horde::link(Horde::applicationUrl(Util::addParameter('runquery.php', 'query', $id))) . htmlspecialchars($name) . '</a></li>';
        }
    }

}
